Bug 845690 - [abrt] python-2.7.3-7.2.fc17: g_logv: Process /usr/bin/python2.7 was killed by signal 5 (SIGTRAP)
[abrt] python-2.7.3-7.2.fc17: g_logv: Process /usr/bin/python2.7 was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:683f26de37c2d71fc869fb3b270...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 17:52 EDT by Otso Helenius
Modified: 2013-07-31 15:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:38:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.48 KB, text/plain)
2012-08-03 17:52 EDT, Otso Helenius
no flags Details
File: maps (55.23 KB, text/plain)
2012-08-03 17:52 EDT, Otso Helenius
no flags Details
File: dso_list (11.39 KB, text/plain)
2012-08-03 17:52 EDT, Otso Helenius
no flags Details

  None (edit)
Description Otso Helenius 2012-08-03 17:52:33 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        python2.7 /usr/bin/mypaint
comment:        I closed Mypaint.
crash_function: g_logv
executable:     /usr/bin/python2.7
kernel:         3.4.6-2.fc17.x86_64
pid:            23773
pwd:            /home/piksi/Documents
remote_result:  NOTFOUND
time:           Sat 04 Aug 2012 12:40:29 AM EEST
uid:            1000
username:       piksi
xsession_errors: 

backtrace:      Text file, 60912 bytes
dso_list:       Text file, 11660 bytes
maps:           Text file, 56556 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/piksi/1

core_backtrace:
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4e801 g_logv libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4e992 g_log libglib-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x6a238 - libgdk-x11-2.0.so.0 -
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27 0x45526 _XError libX11.so.6 -
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27 0x42771 - libX11.so.6 -
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27 0x434b9 _XReply libX11.so.6 -
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651 0x62cb XQueryDeviceState libXi.so.6 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x80855 - libgdk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x80a80 - libgdk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x473ca - libgdk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x4783a - libgdk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x4afd1 - libgdk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61e21 - libgdk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61eae - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main libgtk-x11-2.0.so.0 -
:e4ee09219dd69e5a1f6b06fb78c7488a3a6260df 0x1a65a8 - _gtk.so -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xdce36 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xddb1f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xdc113 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xddb1f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xdc113 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xddb1f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xddbf2 PyEval_EvalCode libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xf6b9a - libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xf7992 PyRun_FileExFlags libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0xf83ab PyRun_SimpleFileExFlags libpython2.7.so.1.0 -
:b18586fcfc52cc29c9623ef45ad533e2ba1f2f37 0x109882 Py_Main libpython2.7.so.1.0 -

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=963
:XDG_SESSION_ID=1
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=ur
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/piksi/.gtkrc-2.0:/home/piksi/.gtkrc-2.0-kde4:/home/piksi/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=/home/piksi/.cache/keyring-XdZoRw
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=piksi
:SSH_AUTH_SOCK=/tmp/ssh-evQTHXsLF813/agent.813
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/piksi/.local/bin:/home/piksi/bin
:MAIL=/var/spool/mail/piksi
:QT_IM_MODULE=xim
:PWD=/home/piksi
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=811
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/piksi
:KDE_SESSION_VERSION=4
:LOGNAME=piksi
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-mjnlvOd1h8,guid=322154910625c0c35d567da00000000f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/piksi
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/piksi/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-piksi/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1143,unix/unix:/tmp/.ICE-unix/1143
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/piksi/.gtkrc:/home/piksi/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=ur;1344022861;975386;1186_TIME125952125

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29855                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29855                29855                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[17936]
:pos:	0
:flags:	00
:1:/home/piksi/.xsession-errors
:pos:	1261602
:flags:	0100001
:2:/home/piksi/.xsession-errors
:pos:	1261602
:flags:	0100001
:3:pipe:[1890744]
:pos:	0
:flags:	00
:4:pipe:[1890744]
:pos:	0
:flags:	04001
:5:socket:[1890736]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 0f1b42e6-9cb5-4bf1-b7eb-c4356d8cf427
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4256.23
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7 CPU       L 640  @ 2.13GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2134
:System Memory: 3753
:System Swap: 1999
:Vendor: LENOVO
:System: 309395G ThinkPad X201 Tablet
:Form factor: Notebook
:Kernel: 3.4.6-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:16953:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15207:6058:8546) pci, serial, 16550_SERIAL, 5 Series/3400 Series Chipset KT Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 6646491 4439359 4372811 1671168 1391601 1391601
:/dev/sda1 /boot ext4 1024 1024 304362 198636 183276 76912 76505 76505
:/dev/sda4 /home ext4 4096 4096 12266971 6936236 6321606 3074176 3035848 3035848
:

var_log_messages:
:Aug  4 00:40:29 ur kernel: [133047.917237] python2.7[23773] trap int3 ip:31be64e801 sp:7fff49585740 error:0
:Aug  4 00:40:32 ur abrt[24388]: Saved core dump of pid 23773 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-08-04-00:40:29-23773 (131895296 bytes)
Comment 1 Otso Helenius 2012-08-03 17:52:38 EDT
Created attachment 602190 [details]
File: backtrace
Comment 2 Otso Helenius 2012-08-03 17:52:41 EDT
Created attachment 602191 [details]
File: maps
Comment 3 Otso Helenius 2012-08-03 17:52:43 EDT
Created attachment 602192 [details]
File: dso_list
Comment 4 Fedora Admin XMLRPC Client 2013-05-10 01:03:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2013-05-10 01:04:12 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:07:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:15:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:15:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2013-07-03 16:09:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 15:38:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.